﻿@{Layout = "~/Views/Shared/_Layout.cshtml";}
@{ViewBag.Title = "Generation Production Schedule";}
@*Event Handler*@
@Html.Partial("_PartialScript")

@*Pop Up Control*@
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PU_Add";
    settings.CallbackRouteValues = new { Controller = "GenerateProductionSchedule", Action = "SPN221PopUpAdd" };
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(50);
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(1050);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "Generate Schedule";
    settings.SetContent(() =>
    {

    });
    settings.ShowFooter = false;
}).GetHtml()

@*Menu Bar Control*@
<div class="content">
    <table>
        <tr>
            <td>
                <fieldset style="border:2px;border-style:outset;border-color:Gray;width:1315px;">
                    <table>
                        <tr>
                            <td style="width: 80px">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "*Prod Month";
                                }).GetHtml()
                            </td>
                            <td style="width: 170px">
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_ProdMonth";
                                    //settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                                    settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                    settings.Properties.EditFormatString = "yyyyMM";
                                    settings.Properties.DisplayFormatString = "yyyyMM";
                                    settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                    settings.Properties.ClientSideEvents.DropDown = "OnDropDownCalendar";
                                    settings.Properties.ClientSideEvents.Init = "OnInitCalendar";
                                    settings.Width = 150;
                                }).GetHtml()
                            </td>
                            <td style="width: 80px">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "*Plant Code";
                                }).GetHtml()
                            </td>
                            <td style="width: 170px">
                                @Html.DevExpress().ComboBox(
                                    settings =>
                                    {
                                        settings.Name = "I_PlantCd";
                                        settings.Width = 150;
                                        settings.SelectedIndex = -1;
                                        settings.Properties.DropDownWidth = 400;
                                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                        settings.CallbackRouteValues = new { Controller = "GenerateProductionSchedule", Action = "SPN221GetMasterPlant" };
                                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                        settings.Properties.TextFormatString = "{0}";
                                        settings.Properties.ValueField = "PLANT_CD";
                                        settings.Properties.ValueType = typeof(string);

                                        settings.Properties.Columns.Add("PLANT_CD", "Plant Code", 100);
                                        settings.Properties.Columns.Add("SLOC_CD", "Sloc Code", 100);
                                        settings.Properties.Columns.Add("DESCRIPTION", "Description", 250);
                                    }
                                ).BindList(ViewData["DataMasterPlant"]).GetHtml()
                            </td>
                            <td style="width: 80px">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "*Line Code";
                                }).GetHtml()
                            </td>
                            <td style="width: 170px">
                                @Html.DevExpress().ComboBox(
                                        settings =>
                                        {
                                            settings.Name = "I_LineCd";
                                            settings.Width = 150;
                                            settings.SelectedIndex = -1;
                                            settings.Properties.DropDownWidth = 400;
                                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                            settings.CallbackRouteValues = new { Controller = "GenerateProductionSchedule", Action = "SPN221GetMasterLine" };
                                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                            settings.Properties.TextFormatString = "{0}";
                                            settings.Properties.ValueField = "LINE_CD";
                                            settings.Properties.ValueType = typeof(string);
                                            settings.Properties.Columns.Add("LINE_CD", "Line Code", 100);
                                            settings.Properties.Columns.Add("DESCRIPTION", "Description", 250);                            
                                        }
                                    ).BindList(ViewData["DataMasterLine"]).GetHtml()
                            </td>
                            <td style="width: 80px">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Order Type";
                                }).GetHtml()
                            </td>
                            <td style="width: 120px">
                                @Html.DevExpress().ComboBox(
                                ComboBox =>
                                {
                                    ComboBox.Name = "I_OrderType";
                                    ComboBox.Width = 100;
                                    ComboBox.Properties.DisplayFormatString = "{0}";
                                    ComboBox.Properties.ValueType = typeof(string);
                                    ComboBox.Properties.Items.Add("ALL");
                                    ComboBox.Properties.Items.Add("Regular");
                                    ComboBox.Properties.Items.Add("Emergency");
                                }).GetHtml()
                            </td>
                            <td style="width: 420px" align="right">
                                @Html.DevExpress().Button(Button =>
                                {
                                    Button.Name = "I_Search";
                                    Button.Text = "Search";
                                    Button.Width = 70;
                                    //Button.Height = 25;
                                    Button.ClientSideEvents.Click = "SearchData";
                                    Button.Style.Add("display", "inline-table");
                                    Button.UseSubmitBehavior = true;
                                }).GetHtml()
                                @Html.DevExpress().Button(Button =>
                                {
                                    Button.Name = "I_Clear";
                                    Button.Text = "Clear";
                                    Button.Width = 70;
                                    //Button.Height = 25;
                                    Button.Style.Add("display", "inline-table");
                                    Button.UseSubmitBehavior = true;
                                    Button.ClientSideEvents.Click = "ClearData";
                                }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </td>
        </tr>
    </table>
    <table>
        <tr style="height:10px">
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "I_Download";
                    Button.Text = "Download";
                    Button.Width = 70;
                    //Button.Height = 25;
                    Button.ClientSideEvents.Click = "DownloadData";
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                }).GetHtml()
            </td>
            <td style="width:5px">
            </td>
            <td style="width: 1230px" align="right">
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "I_Add";
                    Button.Text = "Add";
                    Button.Width = 70;
                    //Button.Height = 25;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "AddData";
                }).GetHtml()
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "I_Delete";
                    Button.RouteValues = new { Controller = "GenerateProductionSchedule", Action = "SPN221DeleteData" };
                    Button.Text = "Delete";
                    Button.Width = 70;
                    //Button.Height = 25;
                    Button.Style.Add("display", "inline-table");
                    Button.ClientSideEvents.Click = "DeleteData";
                    Button.UseSubmitBehavior = true;;
                }).GetHtml()
            </td>
        </tr>
    </table>
</div>

<div class="content">
    @Html.Partial("_PartialGridView", ViewData["DataDailyOrder"])
</div>